import Vue from 'vue';

async function getAudioContentList(status, page) {
    return Vue.axios.get(
        "/admin/audio-content/list?status=" + status + "&page=" + (page - 1) +
        "&size=10"
    )
}

async function searchAudioContent(searchWord, page) {
    return Vue.axios.get(
        "/admin/audio-content/search?search_word=" + searchWord +
        "&page=" + (page - 1) +
        "&size=10"
    )
}

async function modifyAudioContent(request) {
    return Vue.axios.put("/admin/audio-content", request)
}

async function getBannerList(tabId) {
    return Vue.axios.get("/admin/audio-content/banner?tabId=" + tabId)
}

async function saveBanner(formData) {
    return Vue.axios.post('/admin/audio-content/banner', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function modifyBanner(formData) {
    return Vue.axios.put('/admin/audio-content/banner', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function updateBannerOrders(ids) {
    return Vue.axios.put('/admin/audio-content/banner/orders', {ids: ids})
}

async function getCurations(tabId) {
    return Vue.axios.get("/admin/audio-content/curation?tabId=" + tabId)
}

async function saveCuration(request) {
    return Vue.axios.post("/admin/audio-content/curation", request)
}

async function modifyCuration(request) {
    return Vue.axios.put("/admin/audio-content/curation", request)
}

async function updateCurationOrders(ids) {
    return Vue.axios.put('/admin/audio-content/curation/orders', {ids: ids})
}

async function getAudioContentThemeList() {
    return Vue.axios.get("/admin/audio-content/theme")
}

async function getAudioContentMainTabList() {
    return Vue.axios.get("/admin/audio-content/main/tab")
}

async function getCurationItems(curationId) {
    return Vue.axios.get("/admin/audio-content/curation/items?curationId=" + curationId)
}

async function searchContentItem(curationId, searchWord) {
    return Vue.axios.get("/admin/audio-content/curation/search/content?curationId=" + curationId + "&searchWord=" + searchWord)
}

async function searchSeriesItem(curationId, searchWord) {
    return Vue.axios.get("/admin/audio-content/curation/search/series?curationId=" + curationId + "&searchWord=" + searchWord)
}

async function addItemToCuration(curationId, itemIdList) {
    return Vue.axios.post(
        "/admin/audio-content/curation/add/item",
        {curationId: curationId, itemIdList: itemIdList}
    )
}

async function removeItemInCuration(curationId, itemId) {
    return Vue.axios.put(
        "/admin/audio-content/curation/remove/item",
        {curationId: curationId, itemId: itemId}
    )
}

async function updateItemInCurationOrders(curationId, itemIds) {
    return Vue.axios.put(
        "/admin/audio-content/curation/orders/item",
        {curationId: curationId, itemIds: itemIds}
    )
}

async function getHashTagCurations() {
    return Vue.axios.get("/admin/audio-content/tag/curation")
}

async function saveHashTagCuration(request) {
    return Vue.axios.post("/admin/audio-content/tag/curation", request)
}

async function modifyHashTagCuration(request) {
    return Vue.axios.put("/admin/audio-content/tag/curation", request)
}

async function updateHashTagCurationOrders(ids) {
    return Vue.axios.put('/admin/audio-content/tag/curation/orders', {ids: ids})
}

async function getHashTagCurationItems(curationId) {
    return Vue.axios.get('/admin/audio-content/tag/curation/items?curationId=' + curationId)
}

async function addItemToHashTagCuration(curationId, itemIdList) {
    return Vue.axios.post(
        "/admin/audio-content/tag/curation/add/item",
        {curationId: curationId, itemIdList: itemIdList}
    )
}

async function removeItemInHashTagCuration(curationId, itemId) {
    return Vue.axios.put(
        "/admin/audio-content/tag/curation/remove/item",
        {curationId: curationId, itemId: itemId}
    )
}

async function searchHashTagContentItem(curationId, searchWord) {
    return Vue.axios.get("/admin/audio-content/tag/curation/search/content?curationId=" + curationId + "&searchWord=" + searchWord)
}

async function updateItemInHashTagCurationOrders(curationId, itemIds) {
    return Vue.axios.put(
        "/admin/audio-content/tag/curation/orders/item",
        {curationId: curationId, itemIds: itemIds}
    )
}

export {
    getAudioContentList,
    searchAudioContent,
    modifyAudioContent,
    getBannerList,
    saveBanner,
    modifyBanner,
    updateBannerOrders,
    getCurations,
    saveCuration,
    modifyCuration,
    updateCurationOrders,
    getAudioContentThemeList,
    getAudioContentMainTabList,
    getCurationItems,
    searchSeriesItem,
    searchContentItem,
    addItemToCuration,
    removeItemInCuration,
    updateItemInCurationOrders,
    getHashTagCurations,
    saveHashTagCuration,
    modifyHashTagCuration,
    updateHashTagCurationOrders,
    getHashTagCurationItems,
    addItemToHashTagCuration,
    removeItemInHashTagCuration,
    searchHashTagContentItem,
    updateItemInHashTagCurationOrders
}
