import Vue from 'vue';

async function getRecommendSeriesList(isFree) {
    return Vue.axios.get("/admin/audio-content/series/recommend?isFree=" + isFree);
}

async function saveRecommendSeries(formData) {
    return Vue.axios.post('/admin/audio-content/series/recommend', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function modifyRecommendSeries(formData) {
    return Vue.axios.put('/admin/audio-content/series/recommend', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function updateRecommendSeriesOrders(ids) {
    return Vue.axios.put('/admin/audio-content/series/recommend/orders', {ids: ids})
}

export {
    getRecommendSeriesList,
    saveRecommendSeries,
    modifyRecommendSeries,
    updateRecommendSeriesOrders
}
