import Vue from 'vue';

async function getAuditionList(page) {
    return Vue.axios.get("/admin/audition?page=" + (page - 1) + "&size=20");
}

async function createAudition(formData) {
    return Vue.axios.post("/admin/audition", formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function updateAudition(formData) {
    return Vue.axios.put("/admin/audition", formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function getAuditionDetail(id) {
    return Vue.axios.get("/admin/audition/" + id);
}

async function createAuditionRole(formData) {
    return Vue.axios.post("/admin/audition/role", formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function updateAuditionRole(formData) {
    return Vue.axios.put("/admin/audition/role", formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function getAuditionRoleDetail(id) {
    return Vue.axios.get("/admin/audition/role/" + id);
}

async function getAuditionApplicantList(id, page) {
    return Vue.axios.get("/admin/audition/role/" + id + "/applicant?page=" + (page - 1) + "&size=20");
}

async function deleteAuditionApplicant(id) {
    return Vue.axios.delete("/admin/audition/applicant/" + id);
}

export {
    getAuditionList, createAudition, updateAudition, getAuditionDetail,
    createAuditionRole, updateAuditionRole, getAuditionRoleDetail, getAuditionApplicantList,
    deleteAuditionApplicant
}
