import Vue from 'vue';

async function save(question, answer, category) {
    const request = {question: question, answer: answer, category: category}
    return Vue.axios.post("/faq", request)
}

async function modify(request) {
    return Vue.axios.put("/faq", request)
}

async function deleteFaq(id) {
    return Vue.axios.delete("/faq/" + id)
}

async function getFaqs(category) {
    return Vue.axios.get("/faq?category=" + category)
}

async function getCategories() {
    return Vue.axios.get("/faq/category")
}

export {save, modify, deleteFaq, getCategories, getFaqs}
